Bug 436652 - wrong selinux label on rpcbind
wrong selinux label on rpcbind
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-08 15:17 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 17:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-03-08 15:17:37 EST
After a yum update, my nfs server stopped working.
I tracked this down to /var/lib/rpcbind/ containing mislabelled files.

(15:14:46:root@gelk:lib)# ll rpcbind/ -Z
-rw-------  rpc root system_u:object_r:var_lib_t      portmap.file
-rw-------  rpc root system_u:object_r:var_lib_t      rpcbind.file
(15:14:48:root@gelk:lib)# restorecon rpcbind/*
(15:14:58:root@gelk:lib)# ll rpcbind/ -Z
-rw-------  rpc root system_u:object_r:rpcbind_var_lib_t portmap.file
-rw-------  rpc root system_u:object_r:rpcbind_var_lib_t rpcbind.file

I'm not sure if this a problem with the policy or rpcbind doing something wrong.
Comment 1 Daniel Walsh 2008-03-10 10:13:21 EDT
How was the /var/lib/rpcbind directory created?  If it is part of the package as
it is in Rawhide, then it would be labeled correctly.    Did you remove the
Comment 2 Steve Dickson 2008-03-15 07:54:10 EDT
This rpcbind spec file creates /var/lib/rpcbind when the package is
installed and removed when the packages is erased.

Comment 3 Daniel Walsh 2008-03-17 09:30:21 EDT
RIght this would label the directory correctly.  So I surmise that someone or
some package removed the directory and recreated it, causing the directory to
get the file context of it's parent.
Comment 4 Dave Jones 2008-03-18 17:36:39 EDT
not guilty!

I've no idea what caused it to lose its label. This box has run f8 the whole
time, and hasn't been booted with selinux=0 at all.

seems to be labelled correctly after removing/reinstalling the package anyway.


Note You need to log in before you can comment on or make changes to this bug.